## ifupdown 0.7.44ubuntu3.1

=== debian/changelog ===
ifupdown (0.7.44ubuntu3.1) saucy-proposed; urgency=medium

  * Fix network-interface upstart job to bring up allow-hotplug devices.
    (LP: #1307429)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 08 May 2014 16:52:07 +0200

ifupdown (0.7.44ubuntu3) saucy; urgency=low

  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/fb3055c2c4f0)
    for a regression introduced by a93db3ecb8f0. LP: #1226067

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 16 Sep 2013 11:10:08 -0500

ifupdown (0.7.44ubuntu2) saucy; urgency=low

  * On upgrade from 0.7.5ubuntu4, handle the fact that our unmodified conffile
    may have a mismatch in the dpkg database and manually shuffle the file
    around on upgrade.  LP: #1217263.

  [ Chris Arges ]
  * Backport a fix from upstream mercurial
    (http://anonscm.debian.org/hg/collab-maint/ifupdown/rev/a93db3ecb8f0)
    for a race condition when updating the state file.  LP: #1160490

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Sep 2013 06:43:53 +0000

ifupdown (0.7.44ubuntu1) saucy; urgency=low

  * Merge from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add transition code for moving /etc/init.d/networking from netbase
      to ifupdown.
    - Make /etc/init.d/networking exit 1 immediately on Upstart system
      with an error message telling the user to use 'service'.
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 26 Aug 2013 16:56:45 -0400

ifupdown (0.7.44) unstable; urgency=low

  * Convert from noweb to plain C (Closes: #707209).
  * Don't bring down VLANned aliases (Closes: #711449).
  * Initialise 'verbose' variable (Closes: #710301).
  * Handle relative paths properly (Closes: #712909).
    Now non-absolute paths are understood relatively to the file
    they're sourced from.
  * Update RFC number (Closes: #717520).
  * Add source-directory directive.
  * Use source-directory in the default interfaces file.
  * Remove loopback interface from the manpage example.
  * Update the manpages (Closes: #711012).
  * Depend on iproute2 instead of iproute (Closes: #713825).
  * Recommend ISC DHCP client, at the same time declare Breaks against
    dhcp3-client earlier than 4.0, as it has incompatible syntax.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 08 Aug 2013 21:55:27 +0200

ifupdown (0.7.43) unstable; urgency=low

  * Don't consider multiple auto declarations an error (Closes: #707052).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 07 May 2013 09:41:18 +0200

ifupdown (0.7.42) unstable; urgency=low

  * Fix syntax issue with postinst (Closes: #707041).
  * Fix cross-build.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 07 May 2013 08:09:32 +0200

ifupdown (0.7.41) unstable; urgency=low

  * Upload to unstable.
  * Don't release DHCPv6 leases in inet6/auto for a while (Closes: #703922).
  * Remove "tryonce" option introduced in 0.7.40.
  * Don't call dhclient with -1 for now.
  * Remove ISC DHCP client from Build-Depends.
  * Assign logical interface name for link pseudointerface on down
    (Closes: #705268).
  * Add implicit loopback device definition.
  * Enable sourcing /etc/network/interfaces.d/* in the default configuration.

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 11 Apr 2013 21:44:23 +0200

ifupdown (0.7.40) experimental; urgency=low

  [ Andrew Shadura ]
  * Don't configure bridge interfaces as tagged VLAN interfaces
    (Closes: #696642).
  * Add "tryonce" option to DHCP-enabled methods (Closes: #694541).
  * Implement inet6/auto for kFreeBSD, call DHCP release of ifdown
    on Linux (Closes: #701884).
  * Update manual pages.
  * Add tests for DHCP method.
  * Add ISC DHCP client to Build-Depends (the tests don't actually run
    the DHCP client, however).

  [ Stéphane Graber ]
  * Patches for upstart support from Ubuntu:
    - Start the job on runlevel [2345]. This is a no-op during a normal
      boot since the network will be started *before* runlevel is emitted,
      but is needed to restart the network after a change from runlevel 1
      (LP: #752481).
    - Don't bring 'lo' down (add it to --exclude).
    - Emit deconfiguring-networking (LP: #1061639).
    - Update network-interface-security job to stop when the parent job is
      stopped itself. This avoids leftover instances (LP: #1065684).
  * Set MTU of tunnel devices (LP: #1074048).
  * Actually set the new calculated value for duplicate entries
    (LP: #1086517).

  [ Josselin Mouette ]
  * postinst: Do not create /etc/network/interfaces if it was removed manually
    (Closes: #695906)

 -- Andrew Shadura <bugzilla@tut.by>  Mon, 04 Mar 2013 21:56:39 +0100

ifupdown (0.7.5ubuntu4) saucy; urgency=low

  * Due to the checkered history of /etc/init.d/networking, only remove the
    upstart-job symlink in the preinst if the dpkg status is 'newconffile',
    to avoid bogus conffile prompts on upgrade, and manually manipulate the
    new conffile into place in the postinst.  LP: #1181856.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 May 2013 19:05:31 +0000

ifupdown (0.7.5ubuntu3) saucy; urgency=low

  * Restore lsb-base and init_is_upstart now that the new lsb-base is in
    Ubuntu.
  * Explicitly invoke update-rc.d for networking in the postinst (and
    postrm): we will need this in the sequence in order to be able to use
    insserv later.

