## ifupdown 0.7.47.2ubuntu4

=== debian/changelog ===
ifupdown (0.7.47.2ubuntu4) trusty; urgency=medium

  * Update the previous fix to actually apply to the upgrade path we
    care about, saucy to trusty. (LP: #1283274)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Apr 2014 22:15:20 -0400

ifupdown (0.7.47.2ubuntu3) trusty; urgency=medium

  * Fix the preinst to match the current networking.init. (LP: #1283274)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 03 Apr 2014 17:34:53 -0400

ifupdown (0.7.47.2ubuntu2) trusty; urgency=medium

  [ Stéphane Graber ]
  * Allow setting the MTU and HWADDR on manual interfaces. (LP: #1294807)
  * The above change also means that manual interfaces will now be
    brought up and down (ias many users expected until now).
  * Disable link.defn as it's not covering all the cases supported by
    the vlan and bridge hooks and so causes more harm than good at this
    point. (LP: #1295304)
  * Also enable network-interface-container for OpenVZ. (LP: #1294155)
  * Update networking.init to exit 1 on reload when on an upstart system.
  * Pass --force to ifdown in network-interface to silence errors on
    non-existing interfaces. (LP: #1295620)

  [ Dimitri John Ledkov ]
  * Prevent the ability to stop or restart networking service
    interactively. As that is not supported. Networking job is only stopped
    during shutdown sequence. (LP: #1072518)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 19 Mar 2014 18:04:49 -0400

ifupdown (0.7.47.2ubuntu1) trusty; urgency=low

  * Merge from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add transition code for moving /etc/init.d/networking from netbase
      to ifupdown.
    - Make /etc/init.d/networking exit 1 immediately on Upstart system
      with an error message telling the user to use 'service'.
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - On upgrade from 0.7.5ubuntu4, handle the fact that our unmodified
      conffile may have a mismatch in the dpkg database and manually
      shuffle the file around on upgrade.  LP: #1217263.
    - Fix testbuild.linux (missing settle-dad.sh)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Jan 2014 16:48:32 -0500

ifupdown (0.7.47.2) unstable; urgency=low

  * Rebuild to avoid useless dependencies on sysv-rc and file-rc.
  * Don't pass deprecated arguments to update-rc.d.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 06 Jan 2014 21:23:03 +0100

ifupdown (0.7.47.1ubuntu1) trusty; urgency=low

  * Merge from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add transition code for moving /etc/init.d/networking from netbase
      to ifupdown.
    - Make /etc/init.d/networking exit 1 immediately on Upstart system
      with an error message telling the user to use 'service'.
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - On upgrade from 0.7.5ubuntu4, handle the fact that our unmodified
      conffile may have a mismatch in the dpkg database and manually
      shuffle the file around on upgrade.  LP: #1217263.
    - Fix testbuild.linux (missing settle-dad.sh)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 02 Dec 2013 18:00:44 -0500

ifupdown (0.7.47.1) unstable; urgency=low

  * Depend on adduser (Closes: #730598).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 27 Nov 2013 08:24:41 +0100

ifupdown (0.7.47) unstable; urgency=low

  * Don't use hardlinks for ifdown and ifquery.
  * Remove Petter from the Uploaders.
  * Ensure netdev group exists.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 26 Nov 2013 08:27:29 +0100

ifupdown (0.7.46.1ubuntu1) trusty; urgency=low

  * Merge from Debian. Remaining changes:
    - If the /etc/NetworkManager/NetworkManager.conf file is present
      but doesn't have the "ifupdown:managed" the previous upload instructed
      the iniparser to return -1, which evaluates to TRUE. We instead instruct
      it to return 0, as we shouldn't prevent ifupdown from managing the
      interfaces in that case, as NM won't either. (LP: #281984)
    - Remove /etc/default/networking as the upstart job doesn't use it and
      can't really use it without some significant changes (support exclusion
      lists in all the upstart jobs).
    - Add transition code for moving /etc/init.d/networking from netbase
      to ifupdown.
    - Make /etc/init.d/networking exit 1 immediately on Upstart system
      with an error message telling the user to use 'service'.
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - On upgrade from 0.7.5ubuntu4, handle the fact that our unmodified
      conffile may have a mismatch in the dpkg database and manually
      shuffle the file around on upgrade.  LP: #1217263.
  * Fix testbuild.linux (missing settle-dad.sh)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 14 Nov 2013 16:21:04 -0500

ifupdown (0.7.46.1) unstable; urgency=low


