=== debian/changelog ===
ifupdown (0.7.47.2ubuntu4.5) trusty; urgency=medium

  * We are not even reading the contents of the per-interface state files
    when running ifquery, so there is no need to lock them. Not locking
    will allow ifquery to be called recursively from ifup and ifdown.
    (LP: #1701023)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 27 Apr 2018 09:03:18 -0400

ifupdown (0.7.47.2ubuntu4.4) trusty; urgency=medium

  * Fix false-positive recursion detection. (LP: #1545302)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Wed, 17 Feb 2016 17:45:58 +0100

ifupdown (0.7.47.2ubuntu4.3) trusty; urgency=medium

  [ Martin Pitt ]
  * Fix ifquery crash if interface state file does not exist yet.
    (Closes: #810779, LP: #1532722)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Tue, 12 Jan 2016 11:05:16 +0100

ifupdown (0.7.47.2ubuntu4.2) trusty; urgency=medium

  * Per-interface hierarchical locking. (LP: #1337873)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Tue, 29 Sep 2015 14:14:03 +0200

ifupdown (0.7.47.2ubuntu4.1) trusty-proposed; urgency=medium

  * Fix network-interface upstart job to bring up allow-hotplug devices.
    (LP: #1307429)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 08 May 2014 16:41:11 +0200
