=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrew Shadura <andrewsh@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9.20120410~)
 Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/ifupdown/
