=== debian/rules ===
--- 
+++ 
@@ -54,10 +54,12 @@
 	chmod a+rx makecdep.sh makenwdep.sh
 
 override_dh_installinit:
-	dh_installinit --name=networking --noscripts
+	dh_installinit --name=networking --no-start
+	install -p -m 0644 debian/networking.defaults $(DESTDIR)/etc/default/networking
 	dh_installinit --name=network-interface-container --noscripts
 	dh_installinit --name=network-interface-security --noscripts
 	dh_installinit --name=network-interface --noscripts
+	dh_installinit --name=networking --noscripts
 
 override_dh_installifupdown:
 	dh_installifupdown --name=upstart
@@ -86,7 +88,7 @@
 
 override_dh_gencontrol:
 ifeq ($(ARCH),linux)
-	dh_gencontrol -- -V'net:Depends=iproute2' -V'net:Suggests=net-tools'
+	dh_gencontrol -- -V'net:Depends=iproute2|iproute (>= 20071016-1)' -V'net:Suggests=net-tools'
 else ifeq ($(ARCH),kfreebsd)
 	dh_gencontrol -- -V'net:Depends=net-tools' -V'net:Suggests='
 else ifeq ($(ARCH),hurd)
