=== debian/changelog ===
ifupdown (0.8.10ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of
      bridges as it's not covering all the cases supported by the vlan and
      bridge hooks and so causes more harm than good at this point.
      (LP: #1295304)
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 24 Jan 2016 19:48:43 +0100

ifupdown (0.8.10) unstable; urgency=medium

  * Allow "hwaddress random" to generate a random MAC address.
  * Allow ifdown/ifquery when physical interface is not same as logical
    interface. 

 -- Guus Sliepen <guus@debian.org>  Fri, 22 Jan 2016 16:35:23 +0100

ifupdown (0.8.9) unstable; urgency=medium

  * It's network-online.target, not .service.
  * Do not run "ip link set down" on manual interfaces during "ifdown -a".
    Closes: #809166
  * Add the keywords "no-auto-down" and "no-scripts". Closes: #615130

 -- Guus Sliepen <guus@debian.org>  Thu, 21 Jan 2016 22:02:11 +0100

ifupdown (0.8.8ubuntu2) xenial; urgency=medium

  * inet{,6}.defn: Don't down an interface when stopping. This breaks use
    cases like LTSP which create a "manual" interfaces stanza to prevent
    NetworkManager or other management software from touching the
    interface of the remote root file system. In the past we had the
    check_network_file_systems() check in /etc/init.d/networking that papered
    over this misbehaviour, but that is not being done any more in
    networking.service. (Closes: #809166, LP: #1492546)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Jan 2016 16:00:49 +0100

ifupdown (0.8.8ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of
      bridges as it's not covering all the cases supported by the vlan and
      bridge hooks and so causes more harm than good at this point.
      (LP: #1295304)
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Jan 2016 07:00:46 +0100

ifupdown (0.8.8) unstable; urgency=medium

  [ Martin Pitt ]
  * Fix ifquery crash if interface state file does not exist yet.
    (Closes: #810779, LP: #1532722)
  * ifup@.service: Avoid stopping on shutdown via stopping system-ifup.slice
    (changed behaviour in systemd 228). (Closes: #761909, LP: #1492546)

  [ Guus Sliepen ]
  * Remove quotes around TimeoutStartSec parameter. Closes: #810656

 -- Guus Sliepen <guus@debian.org>  Tue, 12 Jan 2016 23:50:29 +0100

ifupdown (0.8.7) unstable; urgency=medium

  * Impose a 5 minute timeout for starting network services.
    Closes: #318577, #810656
  * Give an error when trying to up a dhcp interface when no DHCP client is
    installed. Closes: #471926, #419139
  * Add a section in the manual about extensions provided by other packages.
    Closes: #482405, #597274
  * Use absolute paths to binaries called by ifup/ifdown. Closes: #365114
  * Return an error when trying to ifup/ifdown/ifquery an unknown interface
    (unless it is ignored due to --allow or --exclude).
  * Ignore SIGPIPE. Closes: #311054
  * Update the bridge example. Closes: #488315
  * Use the onlink option when adding a gateway route. Closes: #378506
  * Also allow the metric option for tunnels and IPv6 interfaces.

 -- Guus Sliepen <guus@debian.org>  Mon, 11 Jan 2016 22:58:44 +0100

ifupdown (0.8.6ubuntu2) xenial; urgency=medium

  * Fix ifquery crash if interface state file does not exist yet.
    (Closes: #810779, LP: #1532722)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Jan 2016 08:13:08 +0100

ifupdown (0.8.6ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of bridges as it's not
      covering all the cases supported by the vlan and bridge hooks and so
      causes more harm than good at this point. (LP: #1295304)
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)
  * Removed Breaks: on udev fixes upgrade failure. (LP: #1531685)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Jan 2016 11:45:47 +0100

ifupdown (0.8.6) unstable; urgency=medium

  * Remove the Breaks: udev (<< 228-3~) to work around a bug in udev's prerm
    script. Closes: #809658, #809743
  * Run ip link up on manual interfaces, but ignore any errors.
  * Use sysctl to set the IPv6-specific MTU of an interface. Closes: #809714


