## ifupdown 0.8.10ubuntu1.4

=== debian/changelog ===
ifupdown (0.8.10ubuntu1.4) xenial; urgency=medium

  * We are not even reading the contents of the per-interface state files
    when running ifquery, so there is no need to lock them. Not locking
    will allow ifquery to be called recursively from ifup and ifdown.
    (LP: #1701023)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 27 Apr 2018 08:56:12 -0400

ifupdown (0.8.10ubuntu1.3) xenial; urgency=medium

  [ Wido den Hollander ]
  * Wait properly for Link-Local Address to go through DAD.
    (LP: #1447715)

 -- Dan Streetman <ddstreet@canonical.com>  Tue, 17 Apr 2018 17:29:54 -0400

ifupdown (0.8.10ubuntu1.2) xenial; urgency=medium

  * networking.service: exclude loopback device lo in ExecStop (LP: #1629972)
    This prevents the stop of networking.service from taking down the
    loopback 'lo' interface.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 30 Nov 2016 12:23:26 -0500

ifupdown (0.8.10ubuntu1.1) xenial; urgency=medium

  * Fix a crash when multiple interfaces are specified for no-scripts
    (LP: #1618726)

 -- Richard Laager <rlaager@wiktel.com>  Wed, 31 Aug 2016 02:29:11 -0500
