## ifupdown 0.8.13~bpo8+1

=== debian/changelog ===
ifupdown (0.8.13~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie.

 -- Guus Sliepen <guus@debian.org>  Tue, 05 Jul 2016 13:28:24 +0000

ifupdown (0.8.13) unstable; urgency=medium

  * Fix test suite on kFreeBSD. Closes: #826062
  * Check the return value of chdir() and ftruncate().
  * Clarify that scripts can be run with IFACE set to "--all".
    Closes: #826000

 -- Guus Sliepen <guus@debian.org>  Sat, 04 Jun 2016 14:08:54 +0200

ifupdown (0.8.12) unstable; urgency=medium

  * Add "nodad" to ip -6 addr add if dad-attempts is set to zero.
    Closes: #824686
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 19 May 2016 15:36:02 +0200

ifupdown (0.8.11) unstable; urgency=medium

  [ Wido den Hollander ]
  * Wait properly for Link-Local Address to go through DAD.

  [ Imre Deak ]
  * Fix read_all_state when no state file exists. Closes: 819287

  [ Arthur Gautier ]
  * Implement link naming (ip link set alias)

  [ Martin Pitt <martin.pitt@ubuntu.com> ]
  * Add autopkgtest for "allow-hotplug" interfaces. Closes: #814312

  [ Guus Sliepen ]
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Thu, 21 Apr 2016 18:22:20 +0200
