## ifupdown 0.8.13ubuntu2

=== debian/changelog ===
ifupdown (0.8.13ubuntu2) yakkety; urgency=medium

  * Fix a crash when multiple interfaces are specified for no-scripts
    (LP: #1618726)

 -- Richard Laager <rlaager@wiktel.com>  Wed, 31 Aug 2016 02:26:31 -0500

ifupdown (0.8.13ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of
      bridges as it's not covering all the cases supported by the vlan and
      bridge hooks and so causes more harm than good at this point.
      (LP: #1295304)
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)
    - debian/postinst: Bring back missing /etc/rcS.d/networking symlink, to
      clean up after old broken upgrades. (LP: #1439109) Needs to be kept
      until after 16.04 LTS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Jun 2016 12:25:04 +0200
