## ifupdown 0.8.13ubuntu3

=== debian/changelog ===
ifupdown (0.8.13ubuntu3) yakkety-proposed; urgency=medium

  * networking.service: exclude loopback device lo in ExecStop (LP: #1629972)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 14 Oct 2016 13:53:32 -0400
