## ifupdown 0.8.16ubuntu1

=== debian/changelog ===
ifupdown (0.8.16ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - link.defn, tests/testbuild-linux: Disable upping of bridges as it's not
      covering all the cases supported by the vlan and bridge hooks and so
      causes more harm than good at this point.  (LP: #1295304)
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)

  Changes from Debian packaging git:

  [ Guus Sliepen ]
  * Add a bug-script to automatically add /etc/network/interfaces etc. to reportbug output.
  * Export $CLASS to scripts.
  * Add a few missing voids for functions that do not take any parameters.

  [ Scott Moser ]
  * networking.service: exclude loopback device lo in ExecStop.

  [ Martin Pitt ]
  * debian/ifup@.service: Start after device is up

 -- Guus Sliepen <guus@debian.org>  Mon, 28 Nov 2016 14:40:17 +0100

ifupdown (0.8.16) unstable; urgency=medium

  * Fix FTBFS due to testcases using the host's state information.

 -- Guus Sliepen <guus@debian.org>  Thu, 22 Sep 2016 13:20:18 +0200

ifupdown (0.8.15) unstable; urgency=medium

  * Fix ifdown complaining about vlan_id1. Closes: #838312
  * Add testcases for ifdown. 

 -- Guus Sliepen <guus@debian.org>  Thu, 22 Sep 2016 11:53:52 +0200

ifupdown (0.8.14) unstable; urgency=medium

  [ Benjamin Drung ]
  * Add InfiniBand parititon key support. Closes: #830212

  [ Richard Laager ]
  * Fix a crash when multiple interfaces are specified for no-scripts.
    Closes: #837732

  [ Bjørn Mork ]
  * Ignore link state when bringing up hotplug interfaces at boot.
    Closes: #814785, #834820

  [ Guus Sliepen ]
  * Add a test case for the no-scripts keyword.
  * Flush automatically assigned addresses on ifup when accept_ra=0.

 -- Guus Sliepen <guus@debian.org>  Sat, 17 Sep 2016 11:40:39 +0200

ifupdown (0.8.13ubuntu4) zesty; urgency=medium

  * no-change rebuild for upload to zesty.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 20 Oct 2016 12:40:08 -0400
