## ifupdown 0.8.16ubuntu2

=== debian/changelog ===
ifupdown (0.8.16ubuntu2) artful; urgency=medium

  * Drop obsolete upstart integration.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 14 Aug 2017 18:39:14 +0100
