## ifupdown 0.8.16ubuntu2.1

=== debian/changelog ===
ifupdown (0.8.16ubuntu2.1) artful; urgency=medium

  * We are not even reading the contents of the per-interface state files
    when running ifquery, so there is no need to lock them. Not locking
    will allow ifquery to be called recursively from ifup and ifdown.
    (LP: #1701023)

 -- Dan Streetman <ddstreet@canonical.com>  Fri, 27 Apr 2018 08:53:27 -0400
