## ifupdown 0.8.17ubuntu1

=== debian/changelog ===
ifupdown (0.8.17ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.
    - Resolve conflicts with newer bridge-utils.  LP: #1756846.
  * Remaining changes:
    - Always call dhclient with -1, Ubuntu carries a patch so that renewal
      won't time out.
    - ifup@.service, ifupdown-hotplug: Additionally run for "auto" class. We
      don't really support "allow-hotplug" in Ubuntu at the moment, so we need
      to deal with "auto" devices appearing after the "networking" init script
      already ran. (LP: #1374521)
    - Drop obsolete upstart integration.
  * Dropped changes, included in Debian:
    - networking.service: exclude loopback device lo in ExecStop.
    - Export $CLASS to scripts.
    - Add a few missing voids for functions that do not take any parameters.
    - Add a bug-script to automatically add /etc/network/interfaces etc.  to
      reportbug output.
    - debian/ifup@.service: Start after device is up
  * Dropped changes, superseded in Debian:
    - disabled upping of bridges: this is now handled exclusively through
      ifupdown, bridge-utils hook no longer handles this at all.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Mar 2018 14:53:25 -0700

ifupdown (0.8.17) unstable; urgency=medium

  [ Scott Moser ]
  * Don't bring down the loopback interface when networking.service stops.
    Closes: #841106, #841107

  [ Guus Sliepen ]
  * Export $CLASS to scripts.
  * Add a bug-script.
  * Depend on freebsd-net-tools instead of net-tools.
  * Also configure VLANs on bridge interfaces (see #818849).
  * Improve manpage: simplify example, add more section headers.
    Closes: #840579
  * Provide IPv6 examples in /u/s/d/ifupdown/examples/network-interfaces.
    Closes: #703568
  * Use -4 option for IPv4 dhclient. Closes: #844592

  [ Martin Pitt ]
  * ifup@.service: start After the corresponding
    sys-subsystem-net-devices device.

 -- Guus Sliepen <guus@debian.org>  Tue, 10 Jan 2017 17:25:18 +0100
