=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ifupdown
 Section: admin
 Priority: important
-Maintainer: Guus Sliepen <guus@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9.20120410~), dh-systemd
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ifupdown.git
@@ -11,7 +12,7 @@
 Architecture: any
 Depends: ${net:Depends}, ${shlibs:Depends}, ${misc:Depends},
  lsb-base, adduser,
- iproute2 [linux-any], net-tools [kfreebsd-any], inetutils-tools [hurd-any]
+ iproute2 [linux-any], freebsd-net-tools [kfreebsd-any], inetutils-tools [hurd-any]
 Recommends: isc-dhcp-client | dhcp-client
 Suggests: ppp, rdnssd, ${net:Suggests}
 Replaces: systemd (<< 228-3~)
