=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,6 @@
 	dh_installinit --name=networking --noscripts
 	dh_installinit --name=ifup@ --noscripts
 
-override_dh_installifupdown:
-	dh_installifupdown --name=upstart
-
 override_dh_auto_clean:
 	$(MAKE) clean
